html {
    font-size: 32px;
}

header {
    padding: 16px 64px;
    margin-top: 32px;
    background-color: var(--dark-purple);
    border-radius: 4px;
    border-top-color: var(--faded-orange);
    border-left-color: var(--faded-orange);
    border-bottom: var(--rust);
    border-right-color: var(--rust);
    border-width: 4px;
    border-style: solid;
    box-sizing: border-box;
}

nav {
    display: flex;
    justify-content: baseline;
    align-items: center;
    gap: 32px;
}

article {
    margin: 64px;
}

article p {
    font-family: "Tomorrow", sans-serif;
    letter-spacing: 1px;
    font-size: 18px;
    line-height: 1.8;
}

h1 {
    margin: 16px 0;
}

h2,
h3,
h4,
h5,
h6 {
    margin: 16px 0;
}

p code {
    font-size: 32px;
    line-height: 1;
}

code {
    font-family: "m5x7", monospace;
}

.logo {
    width: 64px;
    height: 48px;
}

.tags {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    margin-bottom: 32px;
    color: var(--faded-orange);
    font-size: 32px;
    line-height: 1;
}

.tags > div {
    padding: 4px 16px;
    border-radius: 4px;
    background-color: var(--dark-purple);
    color: var(--light-salmon);
}

.container {
    margin: 64px;
    display: flex;
    flex-direction: column;
}

.post-card {
    box-sizing: border-box;
    padding: 32px 64px;
    border-radius: 4px;
    border-top-color: var(--faded-orange);
    border-left-color: var(--faded-orange);
    border-bottom: var(--rust);
    border-right-color: var(--rust);
    border-width: 4px;
    border-style: solid;
    color: var(--white);
    background-color: var(--black);
    margin: 0 -64px;
}

.post-card > h2 {
    margin-bottom: 8px;
}

.post-card > p {
    margin-top: 8px;
    font-size: 18px;
    font-family: "Tomorrow", sans-serif;
    line-height: 1.8;
}

.post-card:hover {
    h2 {
        text-decoration: underline;
    }
}

.posts {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 16px;
}

.no-top-margin {
    margin-top: 0;
}

@media (max-width: 425px) {
    .shrink-small-screen {
        width: min-content;
    }
}

@media (max-width: 767px) {
    .hide-mobile {
        display: none;
    }
    header {
        padding: 16px;
    }
    nav {
        gap: 24px;
    }
    article {
        margin: 16px;
    }
    .container {
        margin: 16px;
    }
    .post-card {
        margin: 0 -16px;
        padding: 32px 16px 8px 16px;
    }
}
